package org.lsis.bruno.inf21.rmi.hello;

import java.net.MalformedURLException;
import java.rmi.NotBoundException;
import java.rmi.RMISecurityManager;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;

public class HelloClientActiv {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		String message = "";
		try {
			Registry registry = LocateRegistry.getRegistry("pc-bruno");
			//Hello h = (Hello) java.rmi.Naming.lookup("HelloActiv");
			Hello h= (Hello) registry.lookup("HelloActiv");

			message = h.sayHello();
			System.out.println(message);
			if (args.length > 0) {
				message = h.sayHello(args[1]);
				System.out.println(message);
			}
		} catch (RemoteException e) {
			e.printStackTrace();
		} catch (NotBoundException e) {
			e.printStackTrace();
		}
	}
}
