package org.lsis.bruno.inf21.rmi.hello.java5;

import java.net.MalformedURLException;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;

public class HelloClient {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		String message = "";
		try {
			System.err.println("Registry host :" +args[0]);
			Registry registry = LocateRegistry.getRegistry(args[0]);
			Hello h = (Hello) registry.lookup("HelloObjectJ5");
			System.out.println(message);
			if (args.length > 0) {
				message = h.sayHello(args[1]);
				System.out.println(message);
				if (args.length > 1) {
					message = h.sayHello(args[1], Integer.parseInt(args[2]));
					System.out.println(message);
				}
			}
		} catch (RemoteException e) {
			e.printStackTrace();
		} catch (NotBoundException e) {
			e.printStackTrace();
		}
	}
}
