package org.lsis.bruno.inf21.rmi.hello.java5;

import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;
import java.rmi.server.UnicastRemoteObject;

import sun.rmi.registry.RegistryImpl;

public class HelloServer {
	// Args : Hote:port du rmiregistry
	public static void main(String args[]) {
		try {
			HelloImpl obj = new HelloImpl(Hello.EN);
			Hello stub = (Hello) UnicastRemoteObject.exportObject(obj,0);

			// Bind the remote object's stub in the registry
			Registry registry = LocateRegistry.getRegistry();
			registry.rebind("HelloObjectJ5", stub);

			System.err.println("Server ready");
		} catch (Exception e) {
			System.err.println("Server exception: " + e.toString());
			e.printStackTrace();
		}
	}

}