package org.lsis.bruno.inf21.rmi.params;

import java.rmi.RemoteException;
import java.util.ArrayList;

public class OrderImpl implements Order {
	ArrayList<OrderLine> content = new ArrayList<OrderLine>();

	@Override
	public boolean addLine(OrderLine orderline) throws RemoteException {
		return content.add(orderline);
	}

	@Override
	public boolean addLines(ArrayList<OrderLine> orderlines)
			throws RemoteException {
		return content.addAll(orderlines);
	}

	@Override
	public boolean addProduct(String productname, int quantity)
			throws RemoteException {
		return content.add(new OrderLine(productname, quantity));
	}

	@Override
	public ArrayList<OrderLine> getOrderLines() throws RemoteException {
		return content;
	}

}
