package org.lsis.bruno.inf21.rmi.hello;

import java.net.MalformedURLException;
import java.rmi.NotBoundException;
import java.rmi.RMISecurityManager;
import java.rmi.RemoteException;

public class HelloClient {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		String message = "";
		try {
			System.setSecurityManager(new RMISecurityManager());
			System.err.println("Connection au registry " + args[0]);
			Hello h = (Hello) java.rmi.Naming.lookup("rmi://" + args[0]
					+ "/HelloObject");
			message = h.sayHello();
			System.out.println(message);

			if (args.length == 1) {
				message = h.sayHello(args[1]);
				System.out.println(message);
			}
		} catch (MalformedURLException e) {
			e.printStackTrace();
		} catch (RemoteException e) {
			e.printStackTrace();
		} catch (NotBoundException e) {
			e.printStackTrace();
		}
	}
}
